Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.event
Class AjaxPhaseListener

    java.lang.Object
      org.ajax4jsf.event.AjaxPhaseListener

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.faces.event.PhaseListener

    public class AjaxPhaseListener

extends java.lang.Object
implements javax.faces.event.PhaseListener

Listener for act before Render phase to set RenderKit Id for current skin.

Version:
  $Revision: 1.1.2.3 $ $Date: 2007/02/06 16:23:19 $
Author:
  shura (latest modification by $Author: alexsmirnov $)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `AJAX_BEAN_PREFIX`
`static java.lang.String` | `VIEW_BEAN_PREFIX`

Constructor Summary
`AjaxPhaseListener()`

Method Summary
`void` | `afterPhase(javax.faces.event.PhaseEvent event)`
`void` | `beforePhase(javax.faces.event.PhaseEvent event)`
`javax.faces.event.PhaseId` | `getPhaseId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AJAX_BEAN_PREFIX

    public static final java.lang.String AJAX_BEAN_PREFIX

See Also:
  Constant Field Values

### VIEW_BEAN_PREFIX

    public static final java.lang.String VIEW_BEAN_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### AjaxPhaseListener

    public AjaxPhaseListener()

Method Detail

### afterPhase

    public void afterPhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `afterPhase` in interface `javax.faces.event.PhaseListener`

### beforePhase

    public void beforePhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `beforePhase` in interface `javax.faces.event.PhaseListener`

### getPhaseId

    public javax.faces.event.PhaseId getPhaseId()

  Specified by:
    `getPhaseId` in interface `javax.faces.event.PhaseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.